View Issue Details

IDCategoryLast Update
0007037bugs2016-10-26 02:23
ReporteranemalAssigned Totimbyr 
Reproducibilityalways 
Status feedbackResolutionopen 
Platformx86_64OSGentooOS Version13.0
Product Version5.3 
Fixed in Version 
Summary0007037: Key bindings assigned to "Windows" key don't work after restart of ardour.
DescriptionChanging the key bindings in the "binding editor" are forgotten after restart of ardour.
However, the new key binding works until ardour is stopped.
Steps To Reproduce1. Open "binding editor"
2. Insert new key binding.
3. Exit ardour.
4. Start ardour.
TagsNo tags attached.

Activities

timbyr

2016-09-19 06:29

developer   ~0018681

I can't reproduce this issue using 5.3(official linux 32bit build) or 5.3.138 build.

What changes were you making specifically?

As in what key bindings were you trying to assign to which actions in case that makes a difference in trying to reproduce.

anemal

2016-09-19 18:03

reporter   ~0018693

I'm trying to change "Remove last capture" to "Windows-Key+x", i.e. "Mod4+Super+x".
It "works" directly after changing.
However, after exiting and restarting ardour. It is set back to the default binding.
(I put "works" in quotes, because as described http://tracker.ardour.org/view.php?id=7036 ardour freezes after I confirm the popup dialog with yes. But when I save the session, without executing the command and restart, the new binding is lost, as well.)

The system information is the same as in the other bug, I submitted:
http://tracker.ardour.org/view.php?id=7036#c18690

timbyr

2016-09-19 23:43

developer   ~0018694

I can confirm that assigning bindings to the Windows key aren't restored correctly and therefore don't work after restart in 5.3 and ~master(5.3.138)

When you first assign a binding to the Windows key it will be Mod4+Super+Key but after restart it becomes Mod4+Key which I suppose is why it doesn't work.

anemal

2016-09-20 12:12

reporter   ~0018705

By further playing around I found that this bug applies only to some bindings:
Assigning e.g. the mouse audition mode to "l" seems to be permanent.

timbyr

2016-10-26 02:23

developer   ~0018862

A fix for this issue has been committed to master branch as 8d70b760 and will be in a nightly build >= 5.4.229

Can you please confirm this issue is now fixed, thanks.

Issue History

Date Modified Username Field Change
2016-09-19 00:25 anemal New Issue
2016-09-19 06:29 timbyr Note Added: 0018681
2016-09-19 18:03 anemal Note Added: 0018693
2016-09-19 23:43 timbyr Note Added: 0018694
2016-09-19 23:43 timbyr Assigned To => timbyr
2016-09-19 23:43 timbyr Status new => confirmed
2016-09-19 23:44 timbyr Summary Changes in "binding editor" forgotten after restart of ardour. => Key bindings assigned to "Windows" key don't work after restart of ardour.
2016-09-20 12:12 anemal Note Added: 0018705
2016-10-26 02:23 timbyr Note Added: 0018862
2016-10-26 02:23 timbyr Status confirmed => feedback